Bug 511345 - Screen (but not mouse) shifted 1 pixel to the right
Screen (but not mouse) shifted 1 pixel to the right
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2009-07-14 15:18 EDT by Adam Goode
Modified: 2010-12-05 01:43 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-12-05 01:43:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
lspci -vvv (21.78 KB, text/plain)
2009-07-14 15:20 EDT, Adam Goode
no flags Details
Xorg log (187.33 KB, text/plain)
2009-07-14 15:21 EDT, Adam Goode
no flags Details

  None (edit)
Description Adam Goode 2009-07-14 15:18:43 EDT
Description of problem:
I have 2 monitors side by side. The leftmost column of pixels on the left screen is black. Toolbars on the right side of the left monitor protrude 1 pixel into the right screen. The right screen is cut off by 1 pixel on the right.

The mouse can display on the black 1 pixel spot in the leftmost column. A screenshot taken with PrtScn renders correctly.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Put two monitors on the system.
2. Rotate each into "left" configuration with xrandr (portrait).
3. Examine toolbars.
Actual results:
Screen is rendered 1 pixel to the right.

Expected results:
Screen is rendered correctly.

Additional info:
lspci and xorg attached
Comment 1 Adam Goode 2009-07-14 15:20:22 EDT
Created attachment 351655 [details]
lspci -vvv
Comment 2 Adam Goode 2009-07-14 15:21:43 EDT
Created attachment 351656 [details]
Xorg log
Comment 3 Matěj Cepl 2009-11-05 13:34:40 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 4 Adam Goode 2009-11-25 17:00:20 EST
Still happens with Fedora 12.
Comment 5 Bug Zapper 2010-11-04 06:46:48 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 6 Bug Zapper 2010-12-05 01:43:04 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.